Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations GregLocock on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Arc drawing

Status
Not open for further replies.

FredGarvin

Mechanical
Oct 10, 2001
221
Does anyone know of a way in 2002, or any version for that matter, to draw an arc using the radius and the arc length? The closes I have been able to find is using the center, end, distance method but the distance is the chord length, not the arc length.

Any suggestions?
 
Replies continue below

Recommended for you

You can draw an arc using start point, center, angle. Use the radius and relative positioning for the center. Then the angle is just the arc length / radius.
The best is just to get a cogo plug-in.
 
Yeah, I would go that way, but I am looking for a straight forward method for a machinist of mine. He is convinced that AutoCAD should be able to do this without any kind of extra calculations. I told him he'd have to or we'd have to come up with a lisp routine to do it the way he wants.
 
Fred,

I wrote a lisp for something similar-you select a line or arcthat your new arc will connect to and be tangent to, then you specify radius, and either length or delta.

Email me at cab@eeiteam.com if interested.

Carl
 
As close as I've managed so far for something like this, is to draw an arc (whichever method is appropriate at the time, i.e. center point, or first, second, etc.) from a starting point, at the correct radius, to a given length, just guessing about where it would stop. From there, I select "lengthen" and "Total" and give it the number it needs to run. This modifies the actual arc length, not the chord dimension.

2 steps, not one, but it's as close as I could find. Hope it helps.
 
Hi Fred,
Here is a Lisp I improvized just now. Hope it serves.


;to draw an arc by Center, Start and ArcLength
;
(defun C:ARCLen()
(setq pcenter (getpoint "Center? "))
(setq pstart (getpoint pcenter "Start point: "))
(setq Radius (distance pcenter pstart))
(princ "\nRadius ")(princ Radius)(Princ "\n")
(setq Arclength (getreal &quot;arclength? <CW minus>&quot;))
(setq angle1 (* 180
(/ Arclength Radius PI)
))
(princ &quot;\nAngle &quot;)(princ angle1)(Princ &quot;\n&quot;)
(command &quot;_arc&quot; pstart &quot;_CE&quot; pcenter &quot;_A&quot; angle1)
)
 
Thanks for the help everyone. Much appreciated.
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor